=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2012-02-03 10:28:47 +0000
+++ bzrlib/config.py	2012-02-06 11:58:42 +0000
@@ -55,7 +55,7 @@
                    turns on create_signatures.
 create_signatures - this option controls whether bzr will always create
                     gpg signatures or not on commits.  There is an unused
-                    option which in future is expected to work if               
+                    option which in future is expected to work if
                     branch settings require signatures.
 log_format - this option sets the default log format.  Possible values are
              long, short, line, or a plugin can register new formats.
@@ -2658,6 +2658,8 @@
            help="""\
 Whether revisions associated with tags should be fetched.
 """))
+option_registry.register_lazy(
+    'bzr.transform.orphan_policy', 'bzrlib.transform', 'opt_transform_orphan')
 option_registry.register(
     Option('bzr.workingtree.worth_saving_limit', default=10,
            from_unicode=int_from_store,  invalid='warning',

=== modified file 'bzrlib/memorytree.py'
--- bzrlib/memorytree.py	2011-12-19 13:23:58 +0000
+++ bzrlib/memorytree.py	2012-02-06 11:58:42 +0000
@@ -51,6 +51,9 @@
         self._locks = 0
         self._lock_mode = None
 
+    def get_config_stack(self):
+        return self.branch.get_config_stack()
+
     def is_control_filename(self, filename):
         # Memory tree doesn't have any control filenames
         return False

=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2012-01-27 22:09:19 +0000
+++ bzrlib/tests/test_msgeditor.py	2012-02-06 11:58:42 +0000
@@ -26,7 +26,6 @@
     errors,
     msgeditor,
     osutils,
-    tests,
     trace,
     )
 from bzrlib.msgeditor import (
@@ -81,8 +80,7 @@
 """)
 
     def make_multiple_pending_tree(self):
-        config.GlobalStack().set_user_option('email',
-                                              'Bilbo Baggins <bb@hobbit.net>')
+        config.GlobalStack().set('email', 'Bilbo Baggins <bb@hobbit.net>')
         tree = self.make_branch_and_tree('a')
         tree.commit('Initial checkin.', timestamp=1230912900, timezone=0)
         tree2 = tree.bzrdir.clone('b').open_workingtree()

=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2012-02-06 11:36:02 +0000
+++ bzrlib/tests/test_transform.py	2012-02-06 11:58:42 +0000
@@ -3713,7 +3713,7 @@
         self.assertEqual(('deleting parent', 'Not deleting', 'new-1'),
                          remaining_conflicts.pop())
         self.assertLength(1, warnings)
-        self.assertStartsWith(warnings[0], 'donttouchmypreciouuus')
+        self.assertStartsWith(warnings[0], 'Value "donttouchmypreciouuus" ')
 
 
 class TestTransformHooks(tests.TestCaseWithTransport):

